PerVmServerConfigCacheFactory
Date: 2018-05-01

com.mysql.jdbc

## Class PerVmServerConfigCacheFactory

- java.lang.Object
- - com.mysql.jdbc.PerVmServerConfigCacheFactory

- All Implemented Interfaces:
    CacheAdapterFactory<java.lang.String,java.util.Map<java.lang.String,java.lang.String>>

      public class PerVmServerConfigCacheFactory
      extends java.lang.Object
      implements CacheAdapterFactory<java.lang.String,java.util.Map<java.lang.String,java.lang.String>>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) static java.util.concurrent.ConcurrentHashMap<java.lang.String,java.util.Map<java.lang.String,java.lang.String>>` | `serverConfigByUrl`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PerVmServerConfigCacheFactory()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `CacheAdapter<java.lang.String,java.util.Map<java.lang.String,java.lang.String>>` | `getInstance(Connection forConn, java.lang.String url, int cacheMaxSize, int maxKeySize, java.util.Properties connectionProperties)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### serverConfigByUrl

          static final java.util.concurrent.ConcurrentHashMap<java.lang.String,java.util.Map<java.lang.String,java.lang.String>> serverConfigByUrl

  - ### Constructor Detail

    - #### PerVmServerConfigCacheFactory

          public PerVmServerConfigCacheFactory()

  - ### Method Detail

    - #### getInstance

          public CacheAdapter<java.lang.String,java.util.Map<java.lang.String,java.lang.String>> getInstance(Connection forConn,
                                                                                                    java.lang.String url,
                                                                                                    int cacheMaxSize,
                                                                                                    int maxKeySize,
                                                                                                    java.util.Properties connectionProperties)
                                                                                                      throws java.sql.SQLException

      Specified by:
        `getInstance` in interface `CacheAdapterFactory<java.lang.String,java.util.Map<java.lang.String,java.lang.String>>`
      Throws:
        `java.sql.SQLException`